rte_flow_action_modify_field(3)

NAME
rte_flow_action_modify_field

SYNOPSIS

#include <rte_flow.h>

  Data Fields

enum rte_flow_modify_op operation
struct rte_flow_field_data dst
struct rte_flow_field_data src
uint32_t width

Detailed Description

Warning
    EXPERIMENTAL: this structure may change without prior notice

RTE_FLOW_ACTION_TYPE_MODIFY_FIELD

Modify a destination header field according to the specified operation. Another field of the packet can be used as a source as well as tag, mark, metadata, immediate value or a pointer to it.

Definition at line 4139 of file rte_flow.h.

Field Documentation

  enum rte_flow_modify_op operation
Operation to perform.

Definition at line 4140 of file rte_flow.h.

  struct rte_flow_field_data dst
Destination field.

Definition at line 4141 of file rte_flow.h.

  struct rte_flow_field_data src
Source field.

Definition at line 4142 of file rte_flow.h.

  uint32_t width
Number of bits to use from a source field.

Definition at line 4143 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.